summaryrefslogtreecommitdiffstats
path: root/libraries/tinyxml
diff options
context:
space:
mode:
author Larry Hajali2010-05-12 23:31:30 +0200
committer David Somero2010-05-12 23:31:30 +0200
commitf237e55f15de31d6b8d54a656474fc8720299481 (patch)
tree1297136d10db6618abee052c69593f346e856143 /libraries/tinyxml
parenteb95c685c5fb34e0d21e554b0644c9feaf850b8d (diff)
downloadslackbuilds-f237e55f15de31d6b8d54a656474fc8720299481.tar.gz
libraries/tinyxml: Added to 12.2 repository
Diffstat (limited to 'libraries/tinyxml')
-rw-r--r--libraries/tinyxml/README2
-rw-r--r--libraries/tinyxml/slack-desc19
-rw-r--r--libraries/tinyxml/tinyxml.SlackBuild79
-rw-r--r--libraries/tinyxml/tinyxml.info8
4 files changed, 108 insertions, 0 deletions
diff --git a/libraries/tinyxml/README b/libraries/tinyxml/README
new file mode 100644
index 0000000000..b9d2e88f07
--- /dev/null
+++ b/libraries/tinyxml/README
@@ -0,0 +1,2 @@
+TinyXML is a simple, small, C++ XML parser that can be easily
+integrated into other programs. \ No newline at end of file
diff --git a/libraries/tinyxml/slack-desc b/libraries/tinyxml/slack-desc
new file mode 100644
index 0000000000..6e17a7f258
--- /dev/null
+++ b/libraries/tinyxml/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tinyxml: tinyxml (A small xml parser)
+tinyxml:
+tinyxml: TinyXML is a simple, small, C++ XML parser that can be easily
+tinyxml: integrated into other programs.
+tinyxml:
+tinyxml: Homepage: http://www.grinninglizard.com/tinyxml/
+tinyxml:
+tinyxml:
+tinyxml:
+tinyxml:
+tinyxml:
diff --git a/libraries/tinyxml/tinyxml.SlackBuild b/libraries/tinyxml/tinyxml.SlackBuild
new file mode 100644
index 0000000000..e17b8a74ba
--- /dev/null
+++ b/libraries/tinyxml/tinyxml.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for tinyxml
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=tinyxml
+VERSION=${VERSION:-2.5.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCVER=$(echo "$VERSION" | tr . _)
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/${PRGNAM}_$SRCVER.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+for i in tinyxml.cpp tinystr.cpp tinyxmlerror.cpp tinyxmlparser.cpp; do
+ g++ -v $SLKCFLAGS -fPIC -Wall -Wno-unknown-pragmas -Wno-format -o $i.o -c $i
+done
+
+g++ -v $SLKCFLAGS -fPIC -Wall -Wno-unknown-pragmas -Wno-format -shared -o \
+ lib${PRGNAM}.so.0.${VERSION} -Wl,-soname,lib${PRGNAM}.so.0 *.cpp.o
+
+install -d -m 0755 $PKG/usr/{include,lib${LIBDIRSUFFIX}}
+install -m 0755 lib${PRGNAM}.so.0.${VERSION} $PKG/usr/lib${LIBDIRSUFFIX}
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ ln -s lib${PRGNAM}.so.0.${VERSION} lib${PRGNAM}.so.0
+ ln -s lib${PRGNAM}.so.0.${VERSION} lib${PRGNAM}.so
+)
+install -m 0644 ${PRGNAM}.h $PKG/usr/include
+install -m 0644 tinystr.h $PKG/usr/include
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ changes.txt readme.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/tinyxml/tinyxml.info b/libraries/tinyxml/tinyxml.info
new file mode 100644
index 0000000000..6905e11d7b
--- /dev/null
+++ b/libraries/tinyxml/tinyxml.info
@@ -0,0 +1,8 @@
+PRGNAM="tinyxml"
+VERSION="2.5.3"
+HOMEPAGE="http://www.grinninglizard.com/tinyxml/"
+DOWNLOAD="http://downloads.sourceforge.net/sourceforge/tinyxml/tinyxml_2_5_3.tar.gz"
+MD5SUM="84b605a31628e7f1a6694d47bf5999cc"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="dsomero"